// packageA//pages/distribution/card/card.js
const app =  getApp();
let self = null;
var os = app.globalData.setting;

Page({

  /**
   * 页面的初始数据
   */
  data: {
		isLogin: false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
		self = this;//保存全局指针
		app.isLogin().then(function(data) {//进入页面前已经授权登录成功
			self.setData({
				userInfo: data,
			});
		});
		wx.setNavigationBarTitle({
		  title: "我的名片",
		});
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
		
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
        getApp().check_can_share();
		if(app.globalData.userInfo) {
			if(!this.data.isLogin) {
				this.setData({
					userInfo: app.globalData.userInfo,
					imghost: app.globalData.setting.imghost,
					isLogin: true,
				});
				
				var user_id=app.globalData.userInfo.user_id;				
				// 请求数据
				wx.getImageInfo({
				  src: os.url+'/api/wx/open/app/user/getWeAppEwm/'+os.stoid+'?sceneValue='+user_id+'&pageValue=packageA/pages/distribution/shop/shop',
				  success (res) {
						self.setData({
							img: res.path,
						});
				  }
				});
				
			};
		};
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
   onShareAppMessage: function () {   	  getApp().globalData.no_clear=1

  },
	
})